FacesConfigXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jsf.FacesConfigXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jsf
Class FacesConfigXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.jsf.FacesConfigXmlSubTask

All Implemented Interfaces:
  Serializable

public class FacesConfigXmlSubTask
extends XmlSubTask

Generate the faces.config.xml for Java Server Faces

Version:
  $Revision: 1.2 $
Author:
  Markus Plattner Date: 03.06.2004 Time: 14:15:27
See Also:
  Serialized Form
ant.element
  display-name="Java Server Faces" name="facesconfigxml" parent="xdoclet.modules.web.WebDocletTask"
ant.attribute
  name="destDir" description="the target directory for the faces-config.xml file" required="true"
created
  27. Juni 2004

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`FacesConfigXmlSubTask()`

Method Summary
`void` | `execute()` Describe what the method does
`void` | `forAllSupportedLocales(String template)`
`String` | `getDefaultLocale()`
`String` | `getMessageBundle()`
`String` | `getSupportedLocale()`
`String` | `getSupportedLocales()`
`String` | `getVersion()`
`void` | `setDefaultLocale(String loc)`
`void` | `setMessageBundle(String bundle)`
`void` | `setSupportedLocales(String listOfLocales)`
`void` | `setVersion(String v)`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesConfigXmlSubTask

    public FacesConfigXmlSubTask()

Method Detail

### getVersion

    public String getVersion()

### getDefaultLocale

    public String getDefaultLocale()

### getMessageBundle

    public String getMessageBundle()

### getSupportedLocales

    public String getSupportedLocales()

### getSupportedLocale

    public String getSupportedLocale()

  Returns:
  doc.tag
    type="content"

### setVersion

    public void setVersion(String v)

  Parameters:
    `v` -

### setDefaultLocale

    public void setDefaultLocale(String loc)

  Parameters:
    `loc` -

### setMessageBundle

    public void setMessageBundle(String bundle)

  Parameters:
    `bundle` -

### setSupportedLocales

    public void setSupportedLocales(String listOfLocales)

  Parameters:
    `listOfLocales` -

### forAllSupportedLocales

    public void forAllSupportedLocales(String template)
                                throws XDocletException

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD